RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models
|
247,00 EUR |
|||||||||||
|
( 293,93 EUR incl. VAT ) ≈ £206.25 | ≈ $276.89 plus delivery charges: 55,00 € |
|||||||||||
| On order · Delivery time approx. 20 workdaysinfo_outline | |||||||||||
| Datasheet: | file_download Download | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| Lieske Part No.: | 305490 | ||||||||||
| Mfg Part No: | RUS-100 | ||||||||||
| UPC/EAN: | 4250458223650 | ||||||||||
| Weight: | 0.2 kg | ||||||||||
|
Graduated prices net
|
|||||||||||
Product information for RCS Audio-Systems RUS-100:
Applications include primarily studio and stage technology, where mobile and secure transport solutions for racks are required. It is also suitable for workshop and laboratory environments as well as trade fairs and events, as it enables safe transportation and flexible placement of equipment. The construction is designed to meet the requirements of professional users who value reliability and mobility.
Functions and equipment in detail combine stability and flexibility. The RUS-100 is equipped with four 100 mm Blue-Wheels swivel castors, ensuring easy and precise maneuverability. Two of the castors are fitted with brakes to securely fix the unit when needed and prevent unintended rolling. The castors are high-quality and designed for use in demanding environments.
Technology explained simply shows that the multiplex wood, due to its cross-laminated structure, is particularly resistant to warping and cracking. The blackened surface is a finish that protects the wood from moisture and mechanical stress without affecting its strength. The dimensions of the RUS-100 are 535 mm (width) × 600 mm (depth), making it suitable for standard racks in the RFC-Series. The weight is approximately 6 kg, providing a good balance between load capacity and handling.
Compatibility and accessories are designed for the RFC-Series, which consists of various 19˝ rack flight case models (e.g. RFC-010, RFC-012, RFC-015, RFC-020). The RUS-100 is designed as an accessory for these racks and enables their mobile use.
Mounting and installation is done via pre-mounted castors already attached to the base. The stepless mounting allows flexible adaptation to various rack models within the RFC-Series.
Operational advantages lie in the combination of high stability, mobile handling, and professional appearance. The Blue-Wheels swivel castors ensure smooth movement, while the brakes provide secure fixation. The material and workmanship are designed for use in demanding environments, making the RUS-100 a reliable solution for mobile applications. The product is manufactured in Germany, indicating high product quality.
The delivery includes 1x RUS-100 rolling base with pre-mounted castors.
In summary, the RUS-100 is a robust, mobile base for the RFC-Series, designed for stability, mobility, and professional use. It is ideal for use in studio, stage, workshop, and event environments where secure and flexible transport solutions for racks are required.
| Technical data | |
| System compatibility | RFC Series |
Questions & answers
What is the delivery time of RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models?
The article RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models is currently not in stock but has been backordered.
According to our experience the article is ready for dispatch within 20 working days. The delivery time usually refers to 1 piece. When ordering larger quantities, we can maybe shorten the delivery time. Just send us an inquiry about the desired quantity of RCS Audio-Systems RUS-100 to our sales team for an exact delivery time.
How can I buy the item at a lower price?
We offer you RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models always at the best possible price. We can give you a discount of 2% on RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models if you choose payment in advance on ordering.
In addition, you can save money with our attractive graduated prizes with every purchase. If you buy a minimum of 5 pieces of RCS Audio-Systems RUS-100 Roll sub-base, suitable for all RFC models we can offer you a price of 230,33 EUR per piece. The more you buy, the cheaper the article will be.
We also offer individual prices for your needs. You can get an offer by using the form Wholesale Inquiry.
This product is recommended as accessory for
|
RCS Audio-Systems RFC-012 48,3 cm ( 19 inch )-rack 'Flight-Case' (12 U)
48,3 cm ( 19 inch )FLIGHT CASE RACK body made ​​of plastic, kreuzschichtverleimtem multi-plywood. edge protection made ​​of durable, full perimeter aluminum ...Lieske Part No.: 634930 Mfg Part No: RFC-012 |
598,50 EUR
![]() ≈ £499.75 | ≈ $670.92
Made to order · Delivery time approx. 20 workdaysinfo_outline
|



